## ggobi 0.99.10

=== plugins/JVM/Makefile ===
PKG=JVM

All:

ifndef GGOBI_HOME
 GGOBI_HOME=../..
endif

include local.config
-include $(GGOBI_HOME)/local.config

ifdef ADMIN
 include Install/GNUmakefile.admin
endif

ifeq (${NATIVE_ACCESS},yes)
 SRC=ggobiAccess
 OTHERS=libJavaGGobi.so
endif

All: $(PKG).so classes $(OTHERS)

classes:
	$(MAKE) -C ggobi classes

$(PKG).so:



ifdef GGOBI_CONFIG
 GGOBI_INCLUDE_DIR=$(shell $(GGOBI_CONFIG) --cflags)
 GGOBI_LIB=$(shell $(GGOBI_CONFIG) --libs)
else
 GGOBI_INCLUDE_DIR=-I$(GGOBI_HOME)
 GGOBI_LIB=-L$(GGOBI_HOME) -lggobi
endif

GTK_CONFIG=gtk-config
EXTRA_LIBS=${JNI_LIBS:%=-L%} -ljvm -lhpi

ifeq (${DEBUG},yes)
 DEBUG="-DJAVA_DEBUG=1"
endif

GGOBI_CFLAGS=$(shell cd $(GGOBI_HOME) ; make cflags)
CFLAGS+=-g $(GGOBI_CFLAGS) $(JNI_INCLUDES:%=-I%)  $(DEBUG) $(GGOBI_INCLUDE_DIR)


SRC+=jvm


OBJS=$(SRC:%=%.o)

$(PKG).so: $(OBJS)
	$(CC) -shared $(OBJS) -o $@ $(GGOBI_LIB)  $(EXTRA_LIBS)  $(shell $(GTK_CONFIG) --libs)

clean:
	rm -f *.o 

distClean: clean
	rm -f configure config.cache config.log config.status ggobi.class $(PKG).so

local.config: configure local.config.in
	if test -r local.config ; then cp local.config local.config.bak ; fi
	./configure

configure: configure.in
	autoconf


ggobiAccess.o: ggobi_ggobi.h ggobi_datad.h

ggobi_%.h: ggobi/%.class
	$(JAVAH) -classpath . $(subst .class,,$(subst /,., $<))

ggobi/%.class: ggobi/%.java
	$(MAKE) -C ggobi $(@F)

libJavaGGobi.so: ggobiAccess.o
	$(CC) -shared -o $@ ggobiAccess.o $(GGOBI_LIB) $(EXTRA_LIBS)  $(shell $(GTK_CONFIG) --libs)

=== plugins/TestPlugin/Makefile ===
TestPlugin.so:

ifndef GGOBI_HOME
 GGOBI_HOME=../..
endif

ifdef ADMIN
 include Install/GNUmakefile.admin
endif

# -rpath or --rpath?  The compiler on fry accepts -rpath.

EXTRA_LIBS=

SRC=testplugin
OBJS=testplugin.o

include local.config
-include $(GGOBI_HOME)/local.config

ifdef GGOBI_CONFIG
 GGOBI_INCLUDE_DIR=$(shell $(GGOBI_CONFIG) --cflags)
 GGOBI_LIB=$(shell $(GGOBI_CONFIG) --libs)
else
 GGOBI_INCLUDE_DIR=-I$(GGOBI_HOME)
 GGOBI_LIB=-L$(GGOBI_HOME) -lggobi
endif

GGOBI_CFLAGS= $(shell cd $(GGOBI_HOME) ; make cflags)
ifdef  EXTRA_INCLUDE_DIR
 CFLAGS+=$(EXTRA_INCLUDE_DIR:%=-I%)
endif

GTK_LIBS=$(shell $(GTK_CONFIG) --libs)

TestPlugin.so: $(OBJS)
	$(CC) -shared $(OBJS) -o $@ $(EXTRA_LIBS) $(GGOBI_LIB) $(GTK_LIBS)

testplugin.o: testplugin.c
	$(CC) -g $(GGOBI_INCLUDE_DIR) $(CFLAGS) $(GGOBI_CFLAGS) -o $@ -c $<

clean:
	rm -f *.o *.so

local.config: local.config.in configure
	./configure

configure: configure.in 
	autoconf

## ggobi 0.99.99.4

=== plugins/DataViewer/Makefile ===
PKG=DataViewer

$(PKG).so:

ifndef GGOBI_HOME
 GGOBI_HOME=../..
endif

ifndef SHLIB_LDFLAGS
 SHLIB_LDFLAGS=-shared
endif

-include local.config
-include $(GGOBI_HOME)/local.config

ifdef ADMIN
 include Install/GNUmakefile.admin
endif

ifdef GGOBI_CONFIG
 GGOBI_INCLUDE_DIR=$(shell $(GGOBI_CONFIG) --cflags)
 GGOBI_LIB=$(shell $(GGOBI_CONFIG) --libs)
else
 GGOBI_INCLUDE_DIR=-I../..
 GGOBI_LIB=-L../.. -lggobi
endif

GGOBI_CFLAGS=$(shell cd $(GGOBI_HOME) ; make cflags)
# CFLAGS+=-INLINE:=ON

ifdef BARCHART_IMPLEMENTED
  CFLAGS+= -DBARCHART_IMPLEMENTED
endif

ifdef GTK_EXTRA_CONFIG
 GTKEXTRA_INCLUDES=$(shell $(GTK_EXTRA_CONFIG) --cflags)
 EXTRA_LIBS=$(shell $(GTK_EXTRA_CONFIG) --libs)
else
 EXTRA_LIBS=$(GTKEXTRA_LIB_DIR:%=-L%) $(GTKEXTRA_LIB_DIR:%=-Xlinker -rpath -Xlinker %) -lgtkextra 
endif

CFLAGS+=-g $(GTKEXTRA_INCLUDES) $(GGOBI_CFLAGS) $(GGOBI_INCLUDE_DIR) 


SRC=worksheet
OBJS=$(SRC:%=%.o)

$(PKG).so: $(OBJS)
	$(CC) $(SHLIB_LDFLAGS) $(OBJS) -o $@ $(GGOBI_LIB)  $(EXTRA_LIBS)  $(shell $(GTK_CONFIG) --libs)

clean:
	rm -f *.o 

distclean: clean
	rm config.cache config.log $(PKG).so

ifndef ADMIN
local.config: configure local.config.in
	if test -r local.config ; then cp local.config local.config.bak ; fi
	./configure
endif

=== plugins/TestPlugin/Makefile ===
--- 
+++ 
@@ -45,5 +45,3 @@
 local.config: local.config.in configure
 	./configure
 
-configure: configure.in 
-	autoconf

## ggobi 2.1.9~20091212

=== plugins/CategoricalPlots/Makefile ===
CategoricalPlots.so:

ifndef GGOBI_HOME
 GGOBI_HOME=../..
endif

# -rpath or --rpath?  The compiler on fry accepts -rpath.

-include $(GGOBI_HOME)/local.config
-include local.config


# On some platforms, we will need to link the plugin against libggobi.so
# and also the ggobi executable in order to resolve symbols referenced
# in the plugin and supplied/located in the executable itself.
# This becomes necessary when the plugins are used in a ggobi that is itself
# embedded (e.g. R)
GGOBI_LIB=-L$(GGOBI_HOME) -lggobi

OBJS=categoricalPlots.o

CategoricalPlots.so: $(OBJS)
	$(CC) -g -shared $(OBJS) -o $@ $(GGOBI_LIB) `gtk-config --libs` 

%.o: %.c
	$(CC) -g -I$(GGOBI_HOME) $(CFLAGS) `gtk-config --cflags` -o $@ -c $<

clean:
	rm -f *.o *.so

=== plugins/JVM/Makefile ===
--- 
+++ 
@@ -54,18 +54,9 @@
 $(PKG).so: $(OBJS)
 	$(CC) -shared $(OBJS) -o $@ $(GGOBI_LIB)  $(EXTRA_LIBS)  $(shell $(GTK_CONFIG) --libs)
 
-clean:
-	rm -f *.o 
+distClean:: 
+	rm -f ggobi.class 
 
-distClean: clean
-	rm -f configure config.cache config.log config.status ggobi.class $(PKG).so
-
-local.config: configure local.config.in
-	if test -r local.config ; then cp local.config local.config.bak ; fi
-	./configure
-
-configure: configure.in
-	autoconf
 
 
 ggobiAccess.o: ggobi_ggobi.h ggobi_datad.h

=== plugins/JVM/ggobi/Makefile ===
include ../local.config

JAVA_SRC=$(wildcard *.java)

classes: $(JAVA_SRC:%.java=%.class)


%.class: %.java
	$(JAVAC) -classpath .. $<

## ggobi 2.1.10

=== debian/changelog ===
ggobi (2.1.10-5ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop graphviz build-dependency for now, as ggobi won't build with
      graphviz 2.36.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 15 Apr 2014 17:40:04 -0400

ggobi (2.1.10-5) unstable; urgency=low

  * debian/rules: Call dh_autoreconf / dh_autoreconf_clean to get updated
    autotools files to enable builds on powerpc64le	(Closes: #744580)
  * debian/control: Add Build-Depends: on dh-autoreconf

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 13 Apr 2014 16:37:15 -0500

ggobi (2.1.10-4ubuntu2) trusty; urgency=low

  * Use dh_autotools-dev to update config.{sub,guess} for AArch64.

 -- Matthias Klose <doko@foobar>  Thu, 24 Oct 2013 17:28:57 +0200

ggobi (2.1.10-4ubuntu1) trusty; urgency=low

  * Drop graphviz build-dependency for now as ggobi won't build with
    graphviz 2.30.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 24 Oct 2013 11:03:39 -0400

ggobi (2.1.10-4build1) trusty; urgency=low

  * Rebuild for graphviz 2.30.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Oct 2013 23:49:02 +0100

ggobi (2.1.10-4) unstable; urgency=low

  * src/ggobi.c: Applied patch kindly supplied by Michael Lawrence to 
    address issues found under hardened compiler flags (Closes: #646260)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 10 Nov 2011 11:22:03 -0600

ggobi (2.1.10-3) unstable; urgency=low

  * debian/control: Switch Build-Depends: to unversioned libjpeg-dev to
    help with the libjpeg62 to libjpeg8 transition	(Closes: #641695)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 15 Sep 2011 07:37:55 -0500

ggobi (2.1.10-2) unstable; urgency=low

  * debian/rules: Add short find and perl snippet to process .la files 
    in order to empty dependency_libs 			(Closes: #621301)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 08 May 2011 17:27:53 -0500

ggobi (2.1.10-1) unstable; urgency=low

  * New upstream release	 			(Closes: #622039)
  
  * debian/patches/00list: Removed 02_manual.patch; manual shipped as pdf
  * debian/patches/00list: Removed 03_makefile.patch; no libltdl left

  * debian/control: Set Standards-Version: to current version 
  
  * debian/source/format: Added with 'quilt (3.0)' to use upstream bz2 
  * debian/rules: Removed 'include /usr/share/dpatch/dpatch.make', removed
    targets 'unclean' and 'patch-stamp'
  * debian/control: Removed 'dpatch' from Build-Depends

  * debian/control: Removed 'texlive-base, texlive-latex-base,
    texlive-generic-recommended, texlive-fonts-recommended,
    texlive-extra-utils, texlive-latex-recommended, texlive-latex-extra,
    texlive-pstricks' from Build-Depends as source no longer has tex
  
  * debian/control: Removed 'autoconf, gettext, cvs, automake, gob2,
    autopoint' from Build-Depends as we use a tarball to build
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 13 Apr 2011 07:03:18 -0500

ggobi (2.1.9~20091212-3) unstable; urgency=low

  * debian/patches/00list: Remove 01_graphviz.patch as a newer
    graphviz is now available in Debian
  * debian/control: Increase versioned Build-Depends: on graphviz
  * debian/control: Added Build-Depends: autopoint	(Closes: #572469)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 10 Mar 2010 09:16:43 -0600

ggobi (2.1.9~20091212-2) unstable; urgency=low

  * debian/rules: Do not remove .la files for plugins as this stops
    the plugins from working (reported by Liviu Andronic)
  * debian/ggobi.lintian-overrides: Add exemptions for .la files

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Jan 2010 08:03:45 -0600

ggobi (2.1.9~20091212-1) unstable; urgency=low

  * New upstream pre-release built with new libltdl from libtool 2.2.6b 
    in regards to CVE-2009-3736[0] 			(Closes: #559806)

  * debian/patches:
    - 01_graphviz.patch: two lines carried over from previous ggobi
      and needed as Debian's graphviz seems to be too old
    - 02_manual.patch: switch to using includegraphics in latex
  
  * debian/control: Added latex toolchain to Build-Depends: to support
    upstream change of building manual			(Closes: #495390)
  
  * debian/control: Added Build-Depends on libltdl-dev (>= 2.2.6b)
  * debian/rules: Add --without-included-ltdl to configure call

  * debian/control: Added Build-Depends: on libtool (>= 2.2.6b), autoconf
    gettext, cvs, automake, gob2 in order to run './bootstrap' as this is
    straight from SVN
  * debian/rules: Added ./bootstrap call
  						 	
  * debian/control: Increased Standard-Version: to 3.8.3 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 10 Dec 2009 22:53:59 -0600

ggobi (2.1.8-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 Aug 2008 16:20:11 -0500

ggobi (2.1.7-1) unstable; urgency=low

  * New upstream release
  * debian/control: Updated Standards-Version: to current value
  * debian/watch: Added with thanks to Charles Plessy (Closes: #487608)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 22 Jun 2008 20:20:06 -0500

ggobi (2.1.6-2) unstable; urgency=low

  * debian/control: Updated Build-Depends: to libgraphviz-dev (>= 2.16-3)
  * debian/control: Updated Standards-Version: to current value
  * debian/copyright: Converted encoding via iconv [ lintian ]
  
  * Apply http://patches.ubuntu.com/g/ggobi/ggobi_2.1.6-1ubuntu1.patch:
    - debian/ggobi.xpm: new files, converted from upstream's png file
    - debian/rules: Install the new xpm file as well as xdg/ggobi.desktop
    							(Closes: #451127)
  
    While we are at this, it would be helpful if the Ubuntu folks could
    let me know when they patch one of the 100+ source packages I maintain.
    It's not that my email address is hidden away somewhere.

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 15 Jan 2008 10:45:37 -0600

ggobi (2.1.6-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Aug 2007 21:30:08 -0500

ggobi (2.1.5-2) unstable; urgency=low

  * Rebuilt under new graphviz 2.12			(Closes: #421093)


=== debian/control ===
Source: ggobi
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libxml2-dev, libjpeg-dev, libtool (>= 2.2.6b), dh-autoreconf
Standards-Version: 3.9.5

Package: ggobi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Data visualization system for high-dimensional data
 GGobi is an open source visualization program for exploring
 high-dimensional data. It provides highly dynamic and interactive
 graphics such as tours, as well as familiar graphics such as the
 scatterplot, barchart and parallel coordinates plots. Plots are
 interactive and linked with brushing and identification.
 .
 See http://www.ggobi.org for more information.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux ggobi package
# Copyright 2002 - 2014 by Dirk Eddelbuettel <edd@debian.org>

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

package	:= $(shell grep Package debian/control | sed 's/^Package: //')
debtmp	:= $(CURDIR)/debian/$(package)
plugins := "DataViewer DescribeDisplay GraphAction VarCloud ggvis"

configure: configure-stamp
#configure-stamp: patch-stamp
configure-stamp: 
	dh_testdir
	dh_autoreconf

#	GGOBI_HOME=/usr/lib/ggobi			\
#	GGOBI_ROOT=/usr/lib/ggobi			

#	./bootstrap
#       ## same as 
#	autoreconf -iv --force
#	autopoint -f

	./configure	--prefix=/usr			\
			--with-all-plugins		

#			--with-plugins="DataViewer DescribeDisplay ggvis GraphAction VarCloud"

#			--without-plugins

#			--enable-embed			\
#			--with-dataviewer		\
#			--with-describedisplay		\
#			--with-ggvis			\
#			--without-graphaction		\
#			--without-graphlayout		\
#			--with-varcloud			

#			--with-xml=/usr/include/libxml2	
        # 3 Aug 2004: turn off all plugins
# 			--without-graphlayout		\
# 			--without-graphaction		\
# 			--without-ggvis			\
# 			--without-dataviewer		\
# 			--without-varcloud		\
# 			--without-describedisplay	\
# 			--without-gtk2			\
# 			--without-postgres		\
# 			--without-fileselector		\
# 			--without-plugins		\
# 			--without-R			\
# 			--without-Python		\
# 			--without-Perl
	touch configure-stamp

build: configure build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

#clean: clean1 unpatch
clean: clean1 
clean1:
	dh_testdir
	dh_testroot
	dh_autoreconf_clean
	rm -f build-stamp configure-stamp install-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean 	src/libggobi.so src/xmlConvert.o src/config.h   \
			bin/ggobi.bin	bin/xmlConvert   bin/setLD.csh  \
			bin/ggobi	bin/ggobi-config bin/setLD.bsh  \
			src/ggobiMain.o \
			config.log	config.status	 config.cache	\
			Makeconf	GNUmakefile	 bugTemplate	\
			lib/*		.CRulesFrag	 local.config	\
			ggobi
	rm -vf gtkext/src/*.so
	find plugins -name \*.o -o -name \*.so -o -name config.log|xargs rm -vf
	find . -name config.cache -o -name config.status | xargs rm -vf

tryfix:
	cp bin/ggobi-config bin/ggobi-config-backup
        # Need to fix cflags, libs and ld-library-path options for ggobi-config
	perl -p -i -e "s|^CFLAGS=.*|CFLAGS=\"-I/usr/lib/ggobi/include\"|; s|^LIBS=.*|LIBS=\"-L/usr/lib/ggobi/lib -lggobi\"|; s|echo \"/home/.*\"|echo \"/usr/lib/ggobi/lib\"|" bin/ggobi-config-backup


install: build install-stamp 
install-stamp:
	dh_testdir
	dh_testroot
	dh_prep
#	dh_installdirs	usr/bin	\
#			usr/lib/ggobi/bin usr/lib/ggobi/lib \
#			usr/lib/ggobi/include		    \
#			usr/lib/ggobi/data

        # edd: the GNUmakefile has a broken install
        # edd 25 Mar 2006  reactivated under Ggobi 2.1.1
	$(MAKE) install prefix=$(debtmp)/usr

        # install ggobirc into /etc/xdg/ggobi
	$(MAKE) ggobirc
	dh_installdirs	etc/xdg/ggobic
	dh_install ggobirc etc/xdg/ggobi/
#       # so do it manually	
# 	for i in ggobi ggobi-config; \
# 		do install -v -c -m 0755   bin/$$i  $(debtmp)/usr/bin/; done
# 	for i in setLD.bsh setLD.csh; do \
# 		install -v -c -m 0644   bin/$$i  \
# 				$(debtmp)/usr/lib/ggobi/bin/; done
# 	install -v -c -m 0755   bin/ggobi.bin  $(debtmp)/usr/lib/ggobi/bin/
# 	for i in libggobi.so libgtkext.so; do \
# 		install -v -c -m 0755   lib/$$i  \
# 					$(debtmp)/usr/lib/ggobi/lib/; done
# 	install -c -m 0644 include/* 	$(debtmp)/usr/lib/ggobi/include
#	install -c -m 0644 data/* 	$(debtmp)/usr/lib/ggobi/data
#         # 
#         # slightly modified version of ggobi shell script
# 	install -v -c -m 0755 debian/ggobi 	$(debtmp)/usr/bin/

        # edd 26 Mar 2006  plugins/ should not be in share, move to lib
        # edd 02 Dec 2006  correcting softlink, now it even works
	dh_installdirs usr/lib/ggobi
	(cd $(debtmp)/usr/share/ggobi 			&& \
		mv -v plugins ../../lib/ggobi/ 		&& \
		ln -svf ../../lib/ggobi/plugins .	)	

        # 15 Dec 2009  remove la files
        # 23 Jan 2010  undo this and keep them
        #-rm -v $(debtmp)/usr/lib/ggobi/plugins/*/plugin.la
	-rm -rf $(debtmp)/usr/etc/

        # edd 08 May 2011
        # empty dependency_lib in .la files (cf #621213)	
	find $(debtmp) -name \*.la | \
		xargs perl -p -i -e "s/dependency_libs='.*'/dependency_libs=''/" 


	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs		doc/manual.pdf doc/XML.pdf
#	dh_installexamples	data/*
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installman		debian/ggobi.1 debian/ggobi-config.1 
#	dh_installinfo
#	dh_undocumented		ggobi.1 ggobi-config.1 xmlConvert.1
	dh_installchangelogs 
	dh_install -a debian/ggobi.xpm usr/share/pixmaps/
	dh_install -a xdg/ggobi.desktop usr/share/applications/
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
        # clean up zero-length file (lintian)
#	-rm 		$(debtmp)/usr/share/doc/ggobi/commandArgs.html
#	dh_suidregister
	dh_makeshlibs
	dh_installdeb
#	dh_perl
##	edd: not sure how to suppress the warnings
#	dh_shlibdeps	-Xlibgtkext -Xlibggobi
	dh_shlibdeps	
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure 
#.PHONY: build clean binary-indep binary-arch binary install configure patch unpatch

## ggobi 2.1.11

=== debian/changelog ===
ggobi (2.1.11-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:25:06 +0000

ggobi (2.1.11-2) unstable; urgency=low

  * debian/patches/barchart-definition.patch: Apply patch to
    src/barchart.c to make declaration and definition match
							(Closes: #781724)

  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 11 Apr 2015 07:01:30 -0500

ggobi (2.1.11-1) unstable; urgency=low

  * New upstream release
  
  * Upstream release 'tickled' by Graphviz issue in #754950 so thanks 
    to everybody in the Graphviz transition for keeping this moving

  * debian/patches/series: Deactivate old patch from 2.1.10-4

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 19 Jul 2014 11:52:47 -0500

ggobi (2.1.10-5.1) unstable; urgency=medium

   * Non-maintainer upload.
   * Drop graphviz build-dependency for now as ggobi won't build with
     graphviz 2.30. Closes: #754950.
  
 -- Matthias Klose <doko@debian.org>  Sat, 19 Jul 2014 13:03:41 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libxml2-dev, libjpeg-dev, libtool (>= 2.2.6b), dh-autoreconf
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libxml2-dev, libgraphviz-dev (>= 2.26.3), libjpeg-dev, libtool (>= 2.2.6b), dh-autoreconf
+Standards-Version: 3.9.6
 
 Package: ggobi
 Architecture: any

=== debian/watch ===
version=3
http://www.ggobi.org/downloads/ggobi-(.+)\.tar\.bz2

## ggobi 2.1.12

=== debian/changelog ===
ggobi (2.1.12-1) unstable; urgency=medium

  * New upstream version (now tagged at upstream, code from 2020)
  							(Closes: #1074993)

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

  * debian/rules: Disabled plugins as plugins/ is empty

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 29 Jul 2024 06:55:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: ggobi
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libxml2-dev, libgraphviz-dev (>= 2.26.3), libjpeg-dev, libtool (>= 2.2.6b), dh-autoreconf
-Standards-Version: 3.9.6
+Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Build-Depends: debhelper-compat (= 13), libgtk2.0-dev, libxml2-dev, libgraphviz-dev (>= 2.26.3), libjpeg-dev, libtool (>= 2.2.6b), dh-autoreconf
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/edd/ggobi
+Vcs-Git: https://salsa.debian.org/edd/ggobi.git
+Homepage: http://ggobi.org/
 
 Package: ggobi
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 package	:= $(shell grep Package debian/control | sed 's/^Package: //')
 debtmp	:= $(CURDIR)/debian/$(package)
 plugins := "DataViewer DescribeDisplay GraphAction VarCloud ggvis"
+
+cflags = $(shell dpkg-buildflags --get CFLAGS)
+fcflags = $(shell dpkg-buildflags --get FFLAGS)
+ldflags = $(shell dpkg-buildflags --get LDFLAGS)
 
 configure: configure-stamp
 #configure-stamp: patch-stamp
@@ -24,12 +28,17 @@
 #	autoreconf -iv --force
 #	autopoint -f
 
+#	CFLAGS="$(cflags)"				\
+#	FFLAGS="$(fcflags)"				\
+#	LDFLAGS="$(ldflags)"				
+
 	./configure	--prefix=/usr			\
-			--with-all-plugins		
+			--without-plugins
+
+#			--with-all-plugins
 
 #			--with-plugins="DataViewer DescribeDisplay ggvis GraphAction VarCloud"
 
-#			--without-plugins
 
 #			--enable-embed			\
 #			--with-dataviewer		\
@@ -56,8 +65,10 @@
 # 			--without-Perl
 	touch configure-stamp
 
-build: configure build-stamp
-build-stamp:
+build: build-arch build-indep
+build-arch: configure build-stamp
+build-indep: configure build-stamp
+build-stamp: 
 	dh_testdir
 	$(MAKE)
 	touch build-stamp
@@ -125,9 +136,10 @@
         # edd 26 Mar 2006  plugins/ should not be in share, move to lib
         # edd 02 Dec 2006  correcting softlink, now it even works
 	dh_installdirs usr/lib/ggobi
-	(cd $(debtmp)/usr/share/ggobi 			&& \
-		mv -v plugins ../../lib/ggobi/ 		&& \
-		ln -svf ../../lib/ggobi/plugins .	)	
+# 2024-07-29 no plugins
+#	(cd $(debtmp)/usr/share/ggobi 			&& \
+#		mv -v plugins ../../lib/ggobi/ 		&& \
+#		ln -svf ../../lib/ggobi/plugins .	)
 
         # 15 Dec 2009  remove la files
         # 23 Jan 2010  undo this and keep them
